#ifndef NOTEPAD_H
#define NOTEPAD_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
class NotePad;
}
QT_END_NAMESPACE

class NotePad : public QMainWindow
{
    Q_OBJECT

public:
    NotePad(QWidget *parent = nullptr);
    ~NotePad();

    void getUi();
    void setUi(QString t);
    QString getTexte(){return texte;}
    void setTexte(QString t);

private slots:
    void on_actionFontSize_triggered();
    void on_actionFontColor_triggered();
    void on_actionFont_triggered();
    void on_actionBold_triggered();
    void on_actionItalic_triggered();
    void on_actionOverline_triggered();
    void on_actionUnderline_triggered();
    void on_actionSauvegarder_triggered();

signals:
    void demandeSauvegarde(QString contenu);

private:
    Ui::NotePad *ui;
    QString texte;
};

#endif // NOTEPAD_H
